/// <reference path="../../../../../src/@types/@kano/common/index.d.ts" />
import { Alert, IDialogAlertOptions } from './alert.js';
export interface IDialogConfirmOptions extends IDialogAlertOptions {
}
export declare class Confirm extends Alert {
    private _onDidConfirm;
    readonly onDidConfirm: import("@kano/common/index.js").IEvent<void>;
    private _onDidCancel;
    readonly onDidCancel: import("@kano/common/index.js").IEvent<void>;
    createDom(opts: IDialogConfirmOptions): any;
    _onClose(e: CustomEvent): void;
}
export default Confirm;
